#ifndef __INDEX_OP_2ARG__
#define __INDEX_OP_2ARG__
#include "index.h"

/* assumes existence of elemop_name */
void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray *prhs[])
{
  Index oo, ii, jj;
  int nn;
  if ( nrhs == 0) 
    mexErrMsgTxt("Need at least one argument.");
  oo = index_readmxarray(prhs[0]);
  for ( nn = 1 ; nn < nrhs ; nn ++ ) {
    ii = oo;
    jj = index_readmxarray(prhs[nn]);
    oo = elemop_name(ii,jj);
    index_free(ii);
    index_free(jj);
  }
  plhs[0] = mxDuplicateArray(prhs[0]);
  index_rewritemxarray(plhs[0],oo); 
  index_free(oo);
}

#endif
