#ifndef __TABLE_OP_MARG__
#define __TABLE_OP_MARG__
#include "table.h"

void mexFunction(int nlhs, mxArray *plhs[], int nrhs, const mxArray*prhs[]) {
  Table ii, oo;
  Index jj;

  if ( nrhs != 2 )
    mexErrMsgTxt("Exactly two arguments expected.");
  ii = table_readmxarray(prhs[0]);
  jj = index_readmxarray(prhs[1]);
    oo = elemop_name(ii,jj);                                           
  plhs[0] = mxDuplicateArray(prhs[0]);
  table_rewritemxarray(plhs[0],oo);                                          
  table_free(ii);                                                            
  index_free(jj);                                                            
  table_free(oo);                                                            
}

#endif
